Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.http.protocol
Class AbstractProtocolSocketFactoryBuilder

    java.lang.Object
      org.jboss.soa.esb.http.protocol.AbstractProtocolSocketFactoryBuilder

All Implemented Interfaces:
  ProtocolSocketFactoryBuilder

Direct Known Subclasses:
  AuthSSLProtocolSocketFactoryBuilder, SelfSignedSSLProtocolSocketFactoryBuilder

    public abstract class AbstractProtocolSocketFactoryBuilder

extends java.lang.Object
implements ProtocolSocketFactoryBuilder

Abstract `ProtocolSocketFactoryBuilder` providing utility methods for concrete implementations.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`AbstractProtocolSocketFactoryBuilder()`

Method Summary
`protected java.security.KeyStore` | `getKeystore()`
`protected java.lang.String` | `getKeystorePassword()`
`protected java.lang.String` | `getKeystoreType()`
`protected java.net.URL` | `getKeystoreURL()`
`protected java.security.KeyStore` | `getTruststore()`
`protected java.lang.String` | `getTruststorePassword()`
`protected java.lang.String` | `getTruststoreType()`
`protected java.net.URL` | `getTruststoreURL()`
`void` | `setConfiguration(java.util.Properties configuration)` Set the builder configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.http.protocol.ProtocolSocketFactoryBuilder
`newInstance`

Constructor Detail

### AbstractProtocolSocketFactoryBuilder

    public AbstractProtocolSocketFactoryBuilder()

Method Detail

### setConfiguration

    public void setConfiguration(java.util.Properties configuration)
                          throws ConfigurationException

  Description copied from interface: `ProtocolSocketFactoryBuilder`
  Set the builder configuration.

  Specified by:
    `setConfiguration` in interface `ProtocolSocketFactoryBuilder`
  Parameters:
    `configuration` - The configuration.
  Throws:
    `ConfigurationException` - Bad configuration.

### getTruststorePassword

    protected java.lang.String getTruststorePassword()

### getKeystorePassword

    protected java.lang.String getKeystorePassword()

### getKeystoreType

    protected java.lang.String getKeystoreType()

### getTruststoreType

    protected java.lang.String getTruststoreType()

### getTruststoreURL

    protected java.net.URL getTruststoreURL()
                                     throws ConfigurationException

  Throws:
    `ConfigurationException`

### getKeystoreURL

    protected java.net.URL getKeystoreURL()
                                   throws ConfigurationException

  Throws:
    `ConfigurationException`

### getKeystore

    protected java.security.KeyStore getKeystore()
                                          throws ConfigurationException

  Throws:
    `ConfigurationException`

### getTruststore

    protected java.security.KeyStore getTruststore()
                                            throws ConfigurationException

  Throws:
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD